---
  layout: corrupt_now
  tabtitle: Now
  author: Bill Niblock
  pub: 2024-12-26
---

# Life In Progress, as of {{ page.pub }}

- Started a business!
- _Morrowind_, _Deus Ex_, and Pathfinder
- Another game jam!

Overall, while it has been a few months, changes seem to have slowed a bit.
Looking back on the past several months, there are significant changes, but also
fewer of them.

## My Own Business

I have officially started my own business, [Niblock Technology
Solutions](https://www.niblock.tech). I even have a few clients! Exploring this
new world has been exciting. There are a lot of new challenges, and certain a
demand of time, attention, and dedication. As someone who loves working with
others to solve problems, this seems to be a great development. I've been
enjoying looking for my own technology solutions to some of my own wants, in
addition to helping my clients solve theirs.

I'm also beginning work on another business idea I have. The area I live in
could benefit from a game shop. I want a community space that people can come
in, play games, enjoy company, and otherwise relax. That's a significant
departure from my experience! I have some baby steps towards that business that
I think will make significant impacts on the success!

## Gaming Updates

Recently our Pathfinder game had a fun and rewarding side-quest, for which I
made a summoner. What a powerful class! Mine is a Tengu, but from an
Egyptian-themed region, and thus more ibis inspired than crow. Summoners get an
eidolon, so naturally mine is themed after a crocodile. This side-quest had us
achieving mythic power, and so I've had an opportunity to explore not only a new
class, but a whole gamut of new powers. Very fun, very exciting!

The character really inspired a lot of creativity. Part of this character's
mythic powers are tied to the Proteans, denizens of the maelstrom, Pathfinder's
plane of chaos. They're a really interesting bunch, seemingly conflicted in
their own right (they are of the primordial chaos, and yet adhere to a strict
hierarchy of power). In exploring the lore about them, I imagined a visual novel
of sorts, playing as my summoner acting as a scholar and historian traveling the
maelstrom, interacting with these beings. They are described as civilized enough
that I don't think it's a stretch for them to be welcoming and cordial of
guests. Could make for a fun game!

I properly finished up _Morrowind_. As I mentioned previously, a fantastic game.
There is so much exciting modding happening in that community that I am very
interested in diving back in soon! However, I decided to tackle another old game
I've wanted to play but never have: _Deus Ex_. I'm probably 80% through the
game, and I have been enjoying it a lot. I've bounced off playing it a number of
times, and I think a big part of that was this unnecessary expectation to play
as a silent, non-violent type. Instead, I've been loud when I want, running
around with a kick-ass nano-blade. I haven't been taking the play-through too
seriously, but I have been relatively thorough. Again: there's some compelling
mods which are already making me excited to give it another play-through, and
some game-play and story choices which I'll look forward to doing differently
next time! However, there are several games I'm looking forward to in the
interim. I've seen several streams of _Heroes of Might and Magic II_, and it
made me consider if I'd ever played through the campaigns of _Heroes of Might
and Magic III_. I know I haven't for _II_, since I've never played it! I picked
it up, and I want to give each a campaign play-through. I may do that along side
another game. _Oblivion_ is definitely calling me, and I'll probably setup a
"vanilla-plus" mod-pack for it to play through with. Despite my love of
_Oblivion_, I've never actually played through the main story, nor many of the
DLC's!

## Autumn LISP Game Jam

Capping off the year in game development is the second of the bi-annual LISP
game jams, the [Autumn LISP Game Jam
2024](https://itch.io/jam/autumn-lisp-game-jam-2024). I implemented some of the
ray-casting code I've been working on in my submission, [Escape the
Crash](https://vagabondazulien.itch.io/escape-the-crash). I had a lot of fun
learning and developing with this one. Ray-casting still fascinates me, and I
look forward to understanding it better; at least well enough to get some floors
and ceilings into the game! I also believe that I can use the ray-casting
algorithm to draw a sky-box of sorts. Essentially: note the first wall
interaction, and use that to draw the walls as per usual, but extend to ray
until a "stopping" signal, at which point draw the sky-box. I also want to
implement some sprites! I've also never played around with sounds, and I want to
explore that more in Love2D. The game was received surprisingly well, given it
was incomplete and also suffering from some performance issues. That's very
inspiring! I'm looking forward to playing with it some more.

## Signing Off

I let slip a few months of updates, which will be a focus of mine for the new
year. A monthly cadence will be nice. Though, I'm also now considering
re-adjusting my approach. This page can be a summary of a post containing the
full content (as it currently shows). I'm not holding myself to a goal, but
writing two posts a month would be a nice flow. One of them could just be this
monthly update, with a second being a game review or technology review or
something.

Regardless, this marks the end of both this update, and this year! 2024 was a
doozie! Here's hoping 2025 isn't too bad...
